Results 1 to 2 of 2
  1. #1
    Join Date
    Mar 2012
    Posts
    1

    Unanswered: *** glibc detected *** ./psql: free(): invalid next size (fast): 0x000000000092e630 *

    Hi All,

    I am new to PostgreSQL data base. I am using this PostgreSQL db from last 10 days which is installed in Ubuntu Linux box.
    It was working fine till yesterday, but all of sudden it was stopped working.

    I have used a select query and it return me the result. And throw the below error also. I don't know how this error comes.

    Please let me know if any one knows how to solve this issue.

    Thanks...
    --------------------------------------------------------------------------
    # select count(*) from document;

    count
    --------
    561826
    (1 row)


    *** glibc detected *** ./psql: free(): invalid next size (fast): 0x000000000092e630 ***
    ======= Backtrace: =========
    /lib/libc.so.6(+0x775b6)[0x7fc8c63585b6]
    /lib/libc.so.6(cfree+0x73)[0x7fc8c635ee83]
    ./psql[0x4139b4]
    ./psql[0x414e44]
    ./psql[0x415a68]
    ./psql[0x408d82]
    ./psql[0x40d9d6]
    ./psql[0x40fa7e]
    /lib/libc.so.6(__libc_start_main+0xfd)[0x7fc8c62ffc4d]
    ./psql[0x403a69]
    ======= Memory map: ========
    00400000-00456000 r-xp 00000000 08:50 134218559 /var/installs/PostgreSQL/9.0/bin/psql
    00655000-00656000 rw-p 00055000 08:50 134218559 /var/installs/PostgreSQL/9.0/bin/psql
    00656000-00657000 rw-p 00000000 00:00 0
    00910000-00931000 rw-p 00000000 00:00 0 [heap]
    3485e00000-3485e03000 r-xp 00000000 08:50 134242247 /var/installs/PostgreSQL/9.0/lib/libtermcap.so.2
    3485e03000-3486002000 ---p 00003000 08:50 134242247 /var/installs/PostgreSQL/9.0/lib/libtermcap.so.2
    3486002000-3486003000 rw-p 00002000 08:50 134242247 /var/installs/PostgreSQL/9.0/lib/libtermcap.so.2
    383ea00000-383eb2d000 r-xp 00000000 08:50 134242225 /var/installs/PostgreSQL/9.0/lib/libcrypto.so.6
    383eb2d000-383ed2c000 ---p 0012d000 08:50 134242225 /var/installs/PostgreSQL/9.0/lib/libcrypto.so.6
    383ed2c000-383ed4d000 rw-p 0012c000 08:50 134242225 /var/installs/PostgreSQL/9.0/lib/libcrypto.so.6
    383ed4d000-383ed51000 rw-p 00000000 00:00 0
    383ee00000-383ee46000 r-xp 00000000 08:50 134242246 /var/installs/PostgreSQL/9.0/lib/libssl.so.6
    383ee46000-383f046000 ---p 00046000 08:50 134242246 /var/installs/PostgreSQL/9.0/lib/libssl.so.6
    383f046000-383f04c000 rw-p 00046000 08:50 134242246 /var/installs/PostgreSQL/9.0/lib/libssl.so.6
    7fc8c0000000-7fc8c0021000 rw-p 00000000 00:00 0
    7fc8c0021000-7fc8c4000000 ---p 00000000 00:00 0
    7fc8c49f0000-7fc8c4a06000 r-xp 00000000 08:01 164029 /lib/libgcc_s.so.1
    7fc8c4a06000-7fc8c4c05000 ---p 00016000 08:01 164029 /lib/libgcc_s.so.1
    7fc8c4c05000-7fc8c4c06000 r--p 00015000 08:01 164029 /lib/libgcc_s.so.1
    7fc8c4c06000-7fc8c4c07000 rw-p 00016000 08:01 164029 /lib/libgcc_s.so.1
    7fc8c4c07000-7fc8c4c13000 r-xp 00000000 08:01 164046 /lib/libnss_files-2.11.1.so
    7fc8c4c13000-7fc8c4e12000 ---p 0000c000 08:01 164046 /lib/libnss_files-2.11.1.so
    7fc8c4e12000-7fc8c4e13000 r--p 0000b000 08:01 164046 /lib/libnss_files-2.11.1.so
    7fc8c4e13000-7fc8c4e14000 rw-p 0000c000 08:01 164046 /lib/libnss_files-2.11.1.so
    7fc8c4e14000-7fc8c4e1e000 r-xp 00000000 08:01 164048 /lib/libnss_nis-2.11.1.so
    7fc8c4e1e000-7fc8c501d000 ---p 0000a000 08:01 164048 /lib/libnss_nis-2.11.1.so
    7fc8c501d000-7fc8c501e000 r--p 00009000 08:01 164048 /lib/libnss_nis-2.11.1.so
    7fc8c501e000-7fc8c501f000 rw-p 0000a000 08:01 164048 /lib/libnss_nis-2.11.1.so
    7fc8c501f000-7fc8c5036000 r-xp 00000000 08:01 164043 /lib/libnsl-2.11.1.so
    7fc8c5036000-7fc8c5235000 ---p 00017000 08:01 164043 /lib/libnsl-2.11.1.so
    7fc8c5235000-7fc8c5236000 r--p 00016000 08:01 164043 /lib/libnsl-2.11.1.so
    7fc8c5236000-7fc8c5237000 rw-p 00017000 08:01 164043 /lib/libnsl-2.11.1.so
    7fc8c5237000-7fc8c5239000 rw-p 00000000 00:00 0
    7fc8c5239000-7fc8c5241000 r-xp 00000000 08:01 164044 /lib/libnss_compat-2.11.1.so
    7fc8c5241000-7fc8c5440000 ---p 00008000 08:01 164044 /lib/libnss_compat-2.11.1.so
    7fc8c5440000-7fc8c5441000 r--p 00007000 08:01 164044 /lib/libnss_compat-2.11.1.so
    7fc8c5441000-7fc8c5442000 rw-p 00008000 08:01 164044 /lib/libnss_compat-2.11.1.so
    7fc8c5442000-7fc8c5458000 r-xp 00000000 08:01 164067 /lib/libresolv-2.11.1.so
    7fc8c5458000-7fc8c5657000 ---p 00016000 08:01 164067 /lib/libresolv-2.11.1.so
    7fc8c5657000-7fc8c5658000 r--p 00015000 08:01 164067 /lib/libresolv-2.11.1.so
    7fc8c5658000-7fc8c5659000 rw-p 00016000 08:01 164067 /lib/libresolv-2.11.1.so
    7fc8c5659000-7fc8c565b000 rw-p 00000000 00:00 0
    7fc8c565b000-7fc8c565d000 r-xp 00000000 08:01 164036 /lib/libkeyutils-1.2.so
    7fc8c565d000-7fc8c585c000 ---p 00002000 08:01 164036 /lib/libkeyutils-1.2.so
    7fc8c585c000-7fc8c585d000 r--p 00001000 08:01 164036 /lib/libkeyutils-1.2.so
    7fc8c585d000-7fc8c585e000 rw-p 00002000 08:01 164036 /lib/libkeyutils-1.2.so
    7fc8c585e000-7fc8c5865000 r-xp 00000000 08:01 492461 /usr/lib/libkrb5support.so.0.1
    7fc8c5865000-7fc8c5a64000 ---p 00007000 08:01 492461 /usr/lib/libkrb5support.so.0.1
    7fc8c5a64000-7fc8c5a65000 r--p 00006000 08:01 492461 /usr/lib/libkrb5support.so.0.1
    7fc8c5a65000-7fc8c5a66000 rw-p 00007000 08:01 492461 /usr/lib/libkrb5support.so.0.1
    7fc8c5a66000-7fc8c5a8a000 r-xp 00000000 08:01 492459 /usr/lib/libk5crypto.so.3.1
    7fc8c5a8a000-7fc8c5c8a000 ---p 00024000 08:01 492459 /usr/lib/libk5crypto.so.3.1
    7fc8c5c8a000-7fc8c5c8b000 r--p 00024000 08:01 492459 /usr/lib/libk5crypto.so.3.1
    7fc8c5c8b000-7fc8c5c8c000 rw-p 00025000 08:01 492459 /usr/lib/libk5crypto.so.3.1
    7fc8c5c8c000-7fc8c5c8f000 r-xp 00000000 08:01 164014 /lib/libcom_err.so.2.1
    7fc8c5c8f000-7fc8c5e8e000 ---p 00003000 08:01 164014 /lib/libcom_err.so.2.1
    7fc8c5e8e000-7fc8c5e8f000 r--p 00002000 08:01 164014 /lib/libcom_err.so.2.1
    7fc8c5e8f000-7fc8c5e90000 rw-p 00003000 08:01 164014 /lib/libcom_err.so.2.1
    7fc8c5e90000-7fc8c5ec3000 r-xp 00000000 08:01 492450 /usr/lib/libgssapi_krb5.so.2.2
    7fc8c5ec3000-7fc8c60c2000 ---p 00033000 08:01 492450 /usr/lib/libgssapi_krb5.so.2.2
    7fc8c60c2000-7fc8c60c3000 r--p 00032000 08:01 492450 /usr/lib/libgssapi_krb5.so.2.2
    7fc8c60c3000-7fc8c60c4000 rw-p 00033000 08:01 492450 /usr/lib/libgssapi_krb5.so.2.2
    7fc8c60c4000-7fc8c60dc000 r-xp 00000000 08:01 164065 /lib/libpthread-2.11.1.soAborted
    $

  2. #2
    Join Date
    Jun 2010
    Posts
    17
    Below link provides more information to resolve this issue:

    Re: psql causing a error

    --Raghu

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •